Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007854OCamlplatform support (windows, cross-compilation, etc)public2018-09-24 15:142018-12-02 16:10
Reporterturpin 
Assigned Tonojebar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindows MSVCOSWindows MSVCOS VersionWindows 10
Product Version 
Target VersionFixed in Version4.08.0+dev 
Summary0007854: win_multi_byte_to_wide_char should use CP_ACP instead of CP_THREAD_ACP
DescriptionI believe that, for the intended backward-compatibility purpose, CP_ACP is more appropriate than CP_THREAD_ACP. The former (System active code page) is the one used by the ANSI version of the Windows API functions. I think the latter is more related to user language settings.
Steps To ReproduceDifference between CP_THREAD_ACP and CP_ACP was observed on a japanese Windows 10 host (shift_js) with french as use language setting.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019385)
nojebar (developer)
2018-09-24 15:19

Indeed, this looks like a bug. Some more information here: https://lists.boost.org/Archives/boost/2010/11/173382.php [^]
(0019386)
nojebar (developer)
2018-09-24 15:26

https://github.com/ocaml/ocaml/pull/2062 [^]
(0019498)
nojebar (developer)
2018-12-02 16:10

Merged, will be in 4.08

- Issue History
Date Modified Username Field Change
2018-09-24 15:14 turpin New Issue
2018-09-24 15:19 nojebar Note Added: 0019385
2018-09-24 15:19 nojebar Assigned To => nojebar
2018-09-24 15:19 nojebar Status new => acknowledged
2018-09-24 15:26 nojebar Note Added: 0019386
2018-12-02 16:10 nojebar Note Added: 0019498
2018-12-02 16:10 nojebar Status acknowledged => resolved
2018-12-02 16:10 nojebar Fixed in Version => 4.08.0+dev
2018-12-02 16:10 nojebar Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker